O'Reilly logo

Using Joomla by Kenneth Crowder, Ron Severdia

Stay ahead with the world's most comprehensive technology and business learning platform.

With Safari, you learn the way you learn best. Get unlimited access to videos, live online training, learning paths, books, tutorials, and more.

Start Free Trial

No credit card required

Migrating to Joomla 1.6

Before installing or migrating to Joomla 1.6, you need to make sure your server meets the minimum system requirements: PHP 5.2+ and MySQL 5.0.4+. You’ll also want to make sure all the components you’re using are compatible with Joomla 1.6 before you begin. Check the website of the component developer for compatibility information.

Warning

There is no upgrade path for Joomla 1.0.x users wanting to upgrade to Joomla 1.6. You will first need to migrate your site and extensions to Joomla 1.5 before upgrading.

Currently, migrating from Joomla 1.5 to Joomla 1.6 is a multistage process:

  1. Upload and run the installer like you would for Joomla 1.5. It will ask you if you are upgrading from a previous version of Joomla. Click Yes.

  2. The installer will copy your database tables and upgrade them to the new schema.

  3. You will be given a chance to log in to your Administrator Backend and test your upgrade to make sure it was successful before deleting your old tables.

Keep in mind that Joomla 1.6 is in active development so this and all other elements are subject to change—hopefully for the better.

With Safari, you learn the way you learn best. Get unlimited access to videos, live online training, learning paths, books, interactive tutorials, and more.

Start Free Trial

No credit card required